[next] [prev] [prev-tail] [tail] [up]

### 5.5 Methods

Object methods are just like ordinary procedures or functions, only they have an implicit extra parameter : self. Self points to the object with which the method was invoked. When implementing methods, the fully qualified identifier must be given in the function header. When declaring methods, a normal identifier must be given.

5.5.1 Declaration
5.5.2 Method invocation
Static methods
Virtual methods
Abstract methods

[next] [prev] [prev-tail] [front] [up]